Subject: Re: [PATCH] git.el: Only show completions from refs/heads, refs/remotes and refs/tags

From: Alexandre Julliard <[email-masked]>
Date: Tue, 24 Feb 2009 16:47:23 +0100

David Kågedal <[email-masked]> writes:

> Alexandre Julliard <[email-masked]> writes:
>
>> David Kågedal <[email-masked]> writes:
>>
>>> Sorry, I didn't check this properly. I thought I was fixing inside the
>>> git-checkout function, but this is git-read-commit-name which is used
>>> in more than one place.
>>>
>>> But for git-checkout, I would like to see a much shorter list of named
>>> commits, namely those that can be called "branches". I'll come up with
>>> a better patch.
>>
>> I think it's reasonable to do this for the other uses of
>> git-read-commit-name too, so your original patch looks OK.
>
> Actually, I'd like to go one step further. I'm only interested in
> branches, and only in branches I can commit to. So only asking for
> refs/heads seems the best solution.

I think that's going too far. It's useful to be able to checkout a tag,
or to cherry-pick from a remote branch.

-- 
Alexandre Julliard
[email-masked]